@if(milestones()){
<div class="flex flex-col h-full" @fadeInOut>
    <div class="flex-1 p-4 overflow-y-auto sm:px-6 lg:px-8 lg:py-6">
        <div class="justify-end hidden lg:mb-6 lg:flex">
            <app-button (click)="openRegister()">
                <div class="flex">
                    <img src="/assets/icons/plus.svg" alt="" />
                    <p>마일스톤 생성</p>
                </div>
            </app-button>    
        </div>  
        <div class="flex flex-col lg:g gap-y-3 sm:flex-row sm:flex-wrap sm:gap-6">
            @for (milestone of milestones(); track $index) {
            <app-milestone-cards [milestone]="milestone" class="sm:w-[calc(50%-12px)] lg:w-[calc(25%-18px)]" />
            }
        </div> 
    </div>
    <button class="flex items-center justify-center text-sm font-semibold leading-6 text-white h-14 bg-primary lg:hidden" (click)="openRegister()">마일스톤 생성하기</button>
</div>
}
  
